Main Content

“Have just updated Mac to Sierra. My Cisco router gave out and bought Cisco Valet. Cannot connect to this operating system because requires 10.4.9 or later. OS for Sierra is 10.12. I just want to know whether this router will support Sierra.”

Asked by Swiffer1234 
Answer This Question

1-2 of 2 Answers